# Class ModeDoc

java.lang.Object
uk.ac.starlink.ttools.build.ModeDoc

public class ModeDoc extends Object
Writes a section of XML text documenteding all the known ProcessingModes. Output is to standard output. This class is designed to be used from its `main(String[])` method.

Since:
  23 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args) throws uk.ac.starlink.util.LoadException

Throws:
  `uk.ac.starlink.util.LoadException`